#! /bin/csh -f
### run: Mac OS X csh script to setup USB port, pass skippulses to stimscript

set inst = /tmp/mapper
if (-e $inst) then
  echo "instCT: first clear $inst"
  exit
endif

echo "copy env, tcl"
mkdir $inst
cd $MAPPER_DIR
cp MapperEnv* $inst
cp -r tcltktix $inst

echo "copy bin"
mkdir -p $inst/bin/Darwin-x86_64
cd $MAPPER_DIR/bin/Darwin-x86_64
cp mapper $inst/bin/Darwin-x86_64

echo "copy noarch"
mkdir $inst/bin/noarch
cd $MAPPER_DIR/bin/noarch
cp allscriptsCT $inst/bin/noarch/allscripts
cp getonearch run loadUSB $inst/bin/noarch

echo "copy scripts"
mkdir -p $inst/lib/scripts
cd $MAPPER_DIR/lib/scripts
foreach script ( ct2monL ct2monR ct2bino \
                 ct2LchkRmsk ct2RchkLmsk \
                 ct2Lmsk ct2Rmsk \
                 ct2eccpol1 ct2eccpol2 )
  cp $script $inst/lib/scripts
end

echo "make logs"
mkdir $inst/logs
mkdir $inst/lib/scripts/logs

echo "copy a font"
mkdir $inst/lib/fonts
cd $MAPPER_DIR/lib/fonts
cp Vera.ttf $inst/lib/fonts

